Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808673 - sys-fs/e4rat-0.2.4_pre20141201-r1: fails to build with Boost 1.77 (error: invalid use of incomplete type ‘class boost::shared_ptr<DevicePrivate>)
Summary: sys-fs/e4rat-0.2.4_pre20141201-r1: fails to build with Boost 1.77 (error: inv...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Savchenko
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: boost-1.77
  Show dependency tree
 
Reported: 2021-08-17 02:57 UTC by Sam James
Modified: 2021-11-06 21:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_808673.txt,50.00 KB, text/plain)
2021-08-17 02:57 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-17 02:57:47 UTC
Created attachment 733415 [details]
build.log

cd /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201_build/src && /usr/bin/x86_64-pc-linux-gnu-g++ -DBOOST_ALL_NO_LIB -DBOOST_ATOMIC_DYN_LINK -DBOOST_FILESYSTEM_DYN_LINK -DBOOST_FILESYSTEM_VERSION=3 -DBOOST_REGEX_DYN_LINK -DBOOST_SYSTEM_DYN_LINK -DDEBUG_ENABLED -DPROGRAM_NAME=\"e4rat\" -DVERSION=\"0.2.3\" -De4rat_core_EXPORTS   -DNDEBUG -O2 -march=native -pipe -fPIC   -Wall -ggdb -MD -MT src/CMakeFiles/e4rat-core.dir/device.cc.o -MF CMakeFiles/e4rat-core.dir/device.cc.o.d -o CMakeFiles/e4rat-core.dir/device.cc.o -c /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/device.cc
In file included from /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/device.cc:20:
/var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/device.hh:73:30: error: invalid use of incomplete type ‘class boost::shared_ptr<DevicePrivate>’
   73 | class Device: private boost::shared_ptr<DevicePrivate>
      |                              ^~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/boost/throw_exception.hpp:23,
                 from /usr/include/boost/regex/v5/regex_workaround.hpp:29,
                 from /usr/include/boost/regex/v5/regex.hpp:29,
                 from /usr/include/boost/regex.hpp:34,
                 from /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/common.hh:26,
                 from /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/device.hh:23,
                 from /var/tmp/portage/sys-fs/e4rat-0.2.4_pre20141201-r1/work/e4rat-0.2.4_pre20141201/src/device.cc:20:
/usr/include/boost/exception/exception.hpp:15:44: note: declaration of ‘class boost::shared_ptr<DevicePrivate>’
   15 | namespace boost { template <class T> class shared_ptr; }
      |                                            ^~~~~~~~~~

----
Portage 3.0.20 (python 3.9.6-final-0, default/linux/amd64/17.1/systemd, gcc-10.3.0, glibc-2.33-r5, 5.10.58-gentoo-dist-hardened x86_64)
=================================================================
System uname: Linux-5.10.58-gentoo-dist-hardened-x86_64-AMD_Ryzen_7_2700_Eight-Core_Processor-with-glibc2.33
KiB Mem:    16365964 total,  10252280 free
KiB Swap:   16777212 total,  15938300 free
Timestamp of repository gentoo: Mon, 16 Aug 2021 03:30:01 +0000
Head commit of repository gentoo: 79009e0439e54b3894eaf795a2d2011253b94def
sh bash 5.1_p8
ld GNU ld (Gentoo 2.35.2 p1) 2.35.2
app-shells/bash:          5.1_p8::gentoo
dev-lang/perl:            5.34.0-r1::gentoo
dev-lang/python:          2.7.18_p11::gentoo, 3.9.6::gentoo, 3.10.0_beta4::gentoo
dev-lang/rust:            1.54.0::gentoo
dev-util/cmake:           3.21.1::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/sandbox:         2.24::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.35.2::gentoo, 2.36.1-r2::gentoo
sys-devel/gcc:            10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r5::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/i2pd/certificates /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 boost bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc multilib ncurses nls nptl openmp pam pcre pulseaudio readline seccomp split-usr ssl systemd tcpd udev unicode xattr zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-17 02:58:24 UTC
May be a duplicate of bug 722882 although the errors seemed different. Figured I'd file it given I'd hit the issue and let the maintainer decide.
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-17 02:59:10 UTC
Aside: -DDEBUG_ENABLED *and* -DNDEBUG looks a bit weird in the log?
Comment 3 Larry the Git Cow gentoo-dev 2021-08-17 15:16:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f14a48f817e9ea14669729244f295320ed376419

commit f14a48f817e9ea14669729244f295320ed376419
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-17 15:16:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-17 15:16:17 +0000

    profiles: last-rite sys-fs/e4rat
    
    Bug: https://bugs.gentoo.org/722882
    Bug: https://bugs.gentoo.org/742290
    Bug: https://bugs.gentoo.org/808673
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2021-09-17 13:40:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8095b415ffb83d2795a96c2e7ab03527a505736f

commit 8095b415ffb83d2795a96c2e7ab03527a505736f
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-09-16 12:15:50 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-09-17 13:40:02 +0000

    sys-fs/e4rat: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/722882
    Closes: https://bugs.gentoo.org/808673
    Closes: https://bugs.gentoo.org/742290
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 profiles/package.mask                             |  6 --
 sys-fs/e4rat/Manifest                             |  1 -
 sys-fs/e4rat/e4rat-0.2.4_pre20141201-r1.ebuild    | 63 -------------------
 sys-fs/e4rat/files/e4rat-0.2.2-libdir.patch       | 14 -----
 sys-fs/e4rat/files/e4rat-0.2.2-shared-build.patch | 74 -----------------------
 sys-fs/e4rat/files/e4rat-0.2.4-gcc6.patch         | 11 ----
 sys-fs/e4rat/files/e4rat-0.2.4-strdup.patch       | 41 -------------
 sys-fs/e4rat/files/e4rat-0.2.4-sysmacros.patch    | 13 ----
 sys-fs/e4rat/metadata.xml                         | 11 ----
 9 files changed, 234 deletions(-)